Eclipse Remote Application Platform

## org.eclipse.rap.rwt.lifecycle
Interface IWidgetAdapter

All Known Subinterfaces:
  WidgetAdapter

Deprecated. Use `WidgetAdapter` instead.

    @Deprecated
    public interface IWidgetAdapter

Since:
  2.0

Method Summary
`java.lang.String` `getId()` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.
`Widget` `getParent()` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.
`java.lang.Object` `getPreserved(java.lang.String propertyName)` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.
`boolean` `isInitialized()` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.
`void` `markDisposed(Widget widget)` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.
`void` `preserve(java.lang.String propertyName, java.lang.Object value)` Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

Method Detail

### getId

    @Deprecated
    java.lang.String getId()

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

### getParent

    @Deprecated
    Widget getParent()

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

### isInitialized

    @Deprecated
    boolean isInitialized()

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

### preserve

    @Deprecated
    void preserve(java.lang.String propertyName,
                             java.lang.Object value)

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

### getPreserved

    @Deprecated
    java.lang.Object getPreserved(java.lang.String propertyName)

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

### markDisposed

    @Deprecated
    void markDisposed(Widget widget)

  Deprecated. Use `WidgetAdapter` instead of `IWidgetAdapter`.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0